---
title: Get Push Onboarding Response
slug: investor-onboarding-io/get-push-onboarding-response
description: Learn how to use the API endpoint for retrieving a customer's onboarding process details with this comprehensive document. It features sample requests, responses, and an in-depth description of response fields. Find guidance on error codes and discover wh
createdAt: 2023-05-02T07:10:19.000Z
---

# Introduction

This step is required to get the details of the onboarding customer once the data is pushed for further validation.

### API Endpoint

**Preproduction**: 

[https://backops-investor-onboarding-preproduction.signzy.tech/kra-handler/api/customers/&#x7B;&#x7B;customerId}}/onboardings/&#x7B;&#x7B;onboardingId}}](https://backops-investor-onboarding-preproduction.signzy.tech/kra-handler/customers/\{\{customerId}}/onboardings/\{\{onboardingId}})

**Production**:

[https://backops-investor-onboarding.signzy.tech/kra-handler/api/customers/&#x7B;&#x7B;customerId}}/onboardings/&#x7B;&#x7B;onboardingId}}](https://backops-investor-onboarding.signzy.tech/kra-handler/customers/\{\{customerId}}/onboardings/\{\{onboardingId}})

# Sample Request

::::Tabs
:::Tab{title="Preproduction"}
```curl
  curl --location 'https://backops-investor-onboarding-preproduction.signzy.tech/kra-handler/api/customers/63cf75672bf6b08ae7a28f61/onboardings/null' \
--header 'Content-Type: application/json' \
--header 'Accept: application/json' \
--header 'Authorization: <authorization token>' \
--data ''
```
:::
::::

## Request Field Description

| **Key**       | **Data Type** | **Required/Optional** | **Description**         |
| ------------- | ------------- | --------------------- | ----------------------- |
| **Header**    |               |                       |                         |
| Content-Type  | String        | Required              | application/json        |
| Authorization | String        | Required              | Access token from login |

# Sample Responses

- The “response.cvl” is the comprehensive output for all responses associated with a specific onboarding ID.
- The field “response.cvlResponseHistory” is an array that stores all responses from previous repushes and auto retries, maintaining them in standard response formats.
- Tracking of CVL form submission success is enabled to facilitate the transfer of KYC documents to SFTP upon successful form submission.

:::CodeblockTabs
200: OK

```json
{
   "customerId": "64xxxxxea",
   "id": "65xxxxxx90",
   "response": {
       "cvl": {
           "merchantId": "65xxxxxx90",
           "uuid": "bxxx8-fxxe-4xxf-8xx5-fxxxxx9",
           "kraType": "cvl",
           "rawResponse": {
               "statusCode": "200",
               "respBody": {
                   "msg": {
                       "msg": "SFTP Done",
                       "applicationStatus": "200"
                   }
               }
           },
           "pushResponse": {
               "description": "CVL SFTP process is completed",
               "statusCode": "200",
               "status": "completed"
           },
           "result": "success",
           "status": "completed",
           "lastUpdated": 1709716509947,
           "responseTimeStamp": 1709716509947
       },
       "cvlResponseHistory": [
           {
               "uuid": "bxxx8-fxxe-4xxf-8xx5-fxxxx9",
               "pushTriggeredBy": "64xxxxxea",
               "status": "completed",
               "lastUpdated": 1709716509974,
               "timestamp": 1709716505754,
               "kraType": "cvlResponseHistory",
               "merchantId": "65xxxxxx90",
               "pekrn": "",
               "pushResponse": {
                   "description": "CVL SFTP process is completed",
                   "statusCode": "200",
                   "status": "completed"
               },
               "rawResponse": {
                   "statusCode": "200",
                   "respBody": {
                       "msg": {
                           "msg": "SFTP Done",
                           "applicationStatus": "200"
                       }
                   }
               },
               "responseTimeStamp": 1709716509947,
               "result": "success"
           }
       ],
       "cvlFormUpdates": {
           "formResponse": {
               "response": {
                   "ROOT": {
                       "xmlns": "",
                       "KYCDATA": {
                           "APP_PAN_NO": "WxxxxL",
                           "APP_PAN_DOB": {},
                           "APP_NAME": "SIGNZY_TESTING_GP",
                           "APP_STATUS": "01",
                           "APP_MODF_ACK": "5xx9",
                           "APP_STATUSDT": {},
                           "APP_ENTRYDT": {},
                           "APP_MODDT": {},
                           "APP_POS_CODE": "AxxC"
                       },
                       "FOOTER": {
                           "APP_RESPONSE_DATE": "06/03/2024 14:45:08",
                           "APP_TOTAL_REC": "1"
                       }
                   },
                   "description": "SUBMITTED"
               },
               "submitted": true,
               "formSubmissionTimestamp": 1709716508666
           }
       }
   }
}
```

401

```none
{
    "error": {
        "statusCode": 401,
        "name": "Error",
        "message": "Authorization Required",
        "code": "AUTHORIZATION_REQUIRED"
    }
}
```

403

```none
When Access is forbidden:
The request is understood, but it has been refused or access is not allowed. An accompanying error message will explain why. This code is used when requests are being denied due to request limits.

```

404

```none
{
    "error": {
        "statusCode": 404,
        "name": "Error",
        "message": "There is no method to handle GET /6451198320bf270e75ce7/onboardings/6464ad5eb4f19100244509"
    }
}
```

502

```none
<html>

<head>

    <title>502 Bad Gateway</title>

</head>

<body>

    <center>

        <h1>502 Bad Gateway</h1>

    </center>

</body>

</html>

```
:::

## Response Field Description

| **Key**                         | **Data type** | **Description**                                                                                                   |
| ------------------------------- | ------------- | ----------------------------------------------------------------------------------------------------------------- |
| CustomerId                      | string        | Client's userId obtained from Customer Login API response                                                         |
| Id                              | string        | requestId/merchantId for every application being pushed to KRA                                                    |
| request                         | Object        | Complete Json Data being pushed to KRA                                                                            |
| response                        | Object        | Object which contains Response received from KRA(s) as per priority (if multi KRA is used)                        |
| CVL/CAMS/KARVY                  | Object        | name of the KRA the application is being pushed on                                                                |
| merchantId                      | string        | requestId of every application being pushed to KRA                                                                |
| kraType                         | string        | name of the KRA the application being pushed on                                                                   |
| rawResponse(existing structure) | Object        | raw response received from KRA during push which includes various fields from KRA like pan, name dob, status etc. |
| pushResponse(new structure)     | Object        | standardised response structure from KRA                                                                          |
| description                     | string        | status description received from KRA                                                                              |
| statusCode                      | string        | status code of KRA push API                                                                                       |
| status                          | string        | completed or failure status of KRA push API                                                                       |
| result                          | string        | success or failed action of KRA push API                                                                          |
| lastUpdated                     | string        | latest timestamp of the KRA push API                                                                              |
| responseTimeStamp               | string        | timestamp at which the response was available                                                                     |

:::hint{type="info"}
### Getting help

Please feel free to contact us if you have any questions, require clarification, or have ideas for how to make the documents or any of our services better.


You can reach out to us at [help@signzy.com](#).
:::

